Subject: Re: bug#4706: 23.1.50; RMAIL mode fails to read mail first time

From: Glenn Morris <[email-masked]>
Date: Tue, 20 Oct 2009 14:33:07 -0400

jpff wrote:

> I added
>
> (custom-set-variables
>   '(rmail-remote-password-required t)
>   '(rmail-remote-password "xxxxxxxx"))
>
> but it behaved just the same.  I am wondering if it could be to
> exactly when the rmail-mode-hook is obeyed?

Literally "added"? You may have only one custom-set-variables section.

I'm afraid it works for me with a .emacs consisting of just:

(setq rmail-primary-inbox-list '("po:USERNAME"))
(setenv "MAILHOST" "MAIL.SERVER")
(custom-set-variables
 '(rmail-remote-password-required t)
 '(rmail-remote-password "PASSWORD"))

BTW, this is all rather obsolete. The modern method would be:

(setq rmail-primary-inbox-list
   '("pop://USERNAME:[email-masked]"))

But either method works fine for me.

Why do you think rmail-mode-hook has anything to do with this?